Author Topic: Using addspline in IntelliCAD 6.1  (Read 2429 times)

0 Members and 1 Guest are viewing this topic.

oldwoodworker

  • Guest
Using addspline in IntelliCAD 6.1
« on: January 10, 2006, 06:02:57 PM »
As a New Year's resolution I am committed to moving from 2D to 3D CAD, and from CAD scripts and the command line to VBA.  Please excuse a very basic (no pun intended) question. 

Would anyone have a generic example of the addspline method in use in either IntelliCAD or AutoCAD.

Thanks

Pat 

Swift

  • Swamp Rat
  • Posts: 596
Re: Using addspline in IntelliCAD 6.1
« Reply #1 on: January 10, 2006, 06:43:11 PM »
Have a look at this

Code: [Select]
'modified from the ACAD 2006 Helpfiles
Option Explicit

Public Sub drawSpline()
    Dim splineObj As AcadSpline
    Dim startTan(0 To 2) As Double
    Dim endTan(0 To 2) As Double
    Dim fitPoints(0 To 8) As Double
   
    startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0
    endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0
    fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0
    fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0
    fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0
    Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
    ZoomAll

End Sub

oldwoodworker

  • Guest
Re: Using addspline in IntelliCAD 6.1
« Reply #2 on: January 11, 2006, 12:02:59 PM »
Thanks. 

I will see if I can feed it from my Excel spreadsheet and make it work in IntelliCAD.  I'll return the resulting code when I get it to work.

Pat